#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.0.5
visibility:           public
id:                   http-client-restricted-0.0.5-LorVimDmEuxJW2C0ZytdpM
key:                  http-client-restricted-0.0.5-LorVimDmEuxJW2C0ZytdpM
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  d23b2b49efc56826227f971a8908514f
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-9.0.2/site-local/http-client-restricted-0.0.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/http-client-restricted-0.0.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http-client-restricted
hs-libraries:         HShttp-client-restricted-0.0.5-LorVimDmEuxJW2C0ZytdpM
depends:
    base-4.15.1.0 crypton-connection-0.3.1-Hud7ITqaQclDR5UmUzFtFv
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv
    http-client-0.7.14-6pjNg7JAqwu6kWLldQEXsf
    http-client-tls-0.3.6.3-7sLehhGnySb9OAynTPD06f
    network-3.1.4.0-9BhTQWlTEgzEJF9ToXEkqb
    network-bsd-2.8.1.0-JXDCOy0sSwTCeLGSih6I9d
    utf8-string-1.0.2-9jFXZk0EqfsBxvU8fTDgk3

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

